import msvcrt
import socket
import time
import sys 
sock = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)   

#example: settime("192.168.1.108",4201)
def settime(IP, PORT): #sets time on nixie2 clocks to computer's local time
    starttime=time.localtime()[5]
    while starttime==time.localtime()[5]: #wait for second to tick over
        pass #do nothing
    settime=bytes([1,time.localtime()[0]-2000,time.localtime()[1],time.localtime()[2],time.localtime()[3],time.localtime()[4],time.localtime()[5]])
    sock.sendto(settime, (IP, PORT))
    
#example: ndisp(123456,"192.168.1.108",4201)
def ndisp(nvar,IP,PORT): #displays an integer number on the nixie2 clock tubes
    if nvar>4294967295: #will be an error if long int > this value
        return
    psend = b'\x03'+nvar.to_bytes(4, byteorder='big')+b'\x00'
    sock.sendto(psend, (IP,PORT))
